<html>
<head>

    <meta charset="utf-8">
    <meta name="viewport"
          content="width=device-width,initial-scale=1.0,maximum-scale=1.0,user-scalable=0"/>
    <meta name="resourceType" content="openSource">
    <title>Open Source Licenses</title>

    <style type="text/css">
body{word-break:break-word;padding:16px 0!important}body.inited{background:#f1f3f5}.oobe-inline-item{display:none}.in-oobe .oobe-inline-item{word-break:break-all;display:inline}.in-oobe .regular .link{font-weight:400}.in-oobe .more{display:none}.in-oobe .enable-click{color:#0a59f7!important}.dark-mode .enable-click,.dark-mode a{color:#5291ff!important}.dark-mode .bref,.dark-mode .detail pre,.dark-mode .first-text,.dark-mode h2{color:hsla(0,0%,100%,.83)}.dark-mode .toc{color:#5291ff!important}.in-oobe a .link{color:#1a1a1a}.in-oobe #read-more{display:none}.in-oobe .emui_emui_functional_blue{color:#1a1a1a}div.header{text-align:center;padding:0 24px}div.header h2{font-size:18px}.toc ul{list-style-type:none}.toc ul li:before{content:"";background-color:#191919;width:2.5px;height:2.5px;border-radius:50%;display:block;position:absolute;left:-16px;top:8px}.license-text{white-space:pre-line;word-wrap:break-word}.toc{font-size:14}.toc a{color:#0a59f7;text-decoration:underline}.same-license{border-top:20px}body .detail pre{font-family:"Roboto-Regular, HWText-Regular, SmartZawgyi";font-size:16px;line-height:1.4;color:#191919;word-break:break-word}body .detail table{display:block;width:100%;margin-left:0}.toc ul li{position:relative}.toc ul{margin:0;padding-left:24px}.second-text{margin:16px 0 4px}.first-text,.second-text{font-family:"Roboto-Regular, HWText-Regular, SmartZawgyi";display:block;font-size:16px}.first-text{font-weight:700;margin:24px 0 16px}.detail{padding:0 24px;margin:24px 0}.third-text-main{display:block;font-size:14px;margin:8px 0}.bref{padding:0 24px;margin:24px 0}html{background:rgba(0,0,0,0);font-size:20px}@media only screen and (max-width:1346px){body,html{font-size:20px}}@media only screen and (min-width:1347) and (max-width:1420px){body,html{font-size:20px}}@media only screen and (min-width:1421px) and (max-width:1660px){body,html{font-size:20px}}@media only screen and (min-width:1661px) and (max-width:1900px){body,html{font-size:20px}}@media only screen and (min-width:1901px) and (max-width:1920px){body,html{font-size:20px}}@media only screen and (min-width:1921px){body,html{font-size:20px}}#read-more{font-size:16px;display:block;margin:16px auto 0;text-align:center;color:#0a59f7}.link{font-weight:700}@font-face{font-family:QH;font-weight:600;src:local("HYQihei 60S")}body.dark-mode{background-color:#181a1b}.dark-mode .emui_mst_subtitle,.dark-mode p{color:hsla(0,0%,100%,.83)}.dark-mode .emui_mst_subtitle{color:hsla(0,0%,100%,.83)!important}.dark-mode ul li:before{background-color:hsla(0,0%,100%,.83)}.header img{width:32px;height:32px;background:rgba(0,0,0,0)}@font-face{font-family:QH;font-weight:500;src:local("HYQihei 50S")}body,html{margin:0;padding:0}p{margin:0 1.2rem;line-height:140%}body{padding:0 0 .68rem}a{text-decoration:none;cursor:pointer}.align-right{text-align:right}.indent{text-indent:-1.2rem}.indent-point{padding:.3rem}.margin-top-48{margin-top:2.4rem}.margin-top-24{margin-top:1.2rem}.margin-top-16{margin-top:.8rem}.margin-top-8{margin-top:.4rem}.margin-top-4{margin-top:.2rem}.margin-bottom-16{margin-bottom:.8rem}.margin-bottom-8{margin-bottom:.4rem}.padding-left-or-right-24{padding-left:1.2rem}.medium{font-family:QH;font-weight:700}.regular{font-family:QH;font-weight:400}.title{text-align:center;font-size:.9rem;text-decoration:none;margin:.67rem 1.2rem 0}.emui_mst_body_2,.emui_mst_subtitle{font-size:.75rem}.emui_mst_cation_2{font-size:.5rem}.emui_color_gray_10{color:#1a1a1a}.emui_color_gray_3{color:#606060}.emui_emui_functional_blue{color:#0a59f7}.emui_color_gray_7{color:grey}.hide{display:none}.line_height_32{line-height:1.6rem}.titleDate{text-align:center;font-size:.8rem;text-decoration:none;margin:.2rem 1.2rem .8rem}.bottom{font-size:16px;font-weight:700;color:#0a59f7;margin-top:1.6rem}.center{width:100%;text-align:center}table{margin-left:1.2em}span.a7,span.ab,span.af2,span.af3,span.affc,span.Char,span.commandkeywords,span.Cover2,span.Cover4,span.Heading4NoNumber,span.X1,span.X1b,span.X2d,span.X3c,span.X6,span.X10,span.X19,span.X21,span.X31,span.X41,span.X73{font-weight:700}



    </style>

</head>
<body topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
<div class='header'><h2>OPEN SOURCE SOFTWARE NOTICE</h2></div>
<div class='bref'><span class='third-text-main' lang=EN-US>Please note we provide an open source software notice along with this product and/or this product firmware (in the following just "this product"). The open source software licenses are granted by the respective right holders. And the open source licenses prevail all other license information with regard to the respective open source software contained in the product, including but not limited to End User Software Licensing Agreement. This notice is provided on behalf of Huawei Device Co., Ltd. and any of its local subsidiaries which may have provided this product to you in your local country.</span>
</div>
<div class='detail'><span class='first-text'>Warranty Disclaimer</span>
    <p class='second-text'><span lang=EN-US style='text-transform:uppercase'>THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED
            WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE
            DETAILS.</span></p><span class='first-text'>Copyright Notice and License Texts</span>
    <div class="toc">
        <ul>
            <li><a href="#id0">/json-sanitizer</a></li>
            <li><a href="#id1">/androidx-arch-core-common</a></li>
            <li><a href="#id2">/androidx-lifecycle-viewmodel-savedstate</a></li>
            <li><a href="#id3">/savedstate</a></li>
            <li><a href="#id4">/greenDao</a></li>
            <li><a href="#id5">/okhttp</a></li>
            <li><a href="#id6">/androidx-sqlite-framework</a></li>
            <li><a href="#id7">/androidx-sqlite</a></li>
            <li><a href="#id8">/androidx-activity</a></li>
            <li><a href="#id9">/okio</a></li>
            <li><a href="#id10">/androidx-vectordrawable</a></li>
            <li><a href="#id11">/appcompat-resources</a></li>
            <li><a href="#id12">/androidx-dynamicanimation</a></li>
            <li><a href="#id13">/androidx-print</a></li>
            <li><a href="#id14">/androidx-arch-core-runtime</a></li>
            <li><a href="#id15">/androidx-lifecycle-common</a></li>
            <li><a href="#id16">/androidx-lifecycle-livedata-core</a></li>
            <li><a href="#id17">/androidx-lifecycle-livedata</a></li>
            <li><a href="#id18">/androidx-lifecycle-runtime</a></li>
            <li><a href="#id19">/androidx-lifecycle-service</a></li>
            <li><a href="#id20">/lifecycle-viewmodel</a></li>
            <li><a href="#id21">/guava-listenablefuture</a></li>
            <li><a href="#id22">/androidx-room-runtime</a></li>
            <li><a href="#id23">/androidx-room-common</a></li>
            <li><a href="#id24">/greendao-api</a></li>
            <li><a href="#id25">/annotation</a></li>
            <li><a href="#id26">/core</a></li>
            <li><a href="#id27">/androidx-appcompat</a></li>
            <li><a href="#id28">/gson</a></li>
            <li><a href="#id29">/androidx-cursoradapter</a></li>
            <li><a href="#id30">/androidx-documentfile</a></li>
            <li><a href="#id31">/androidx-legacy-support-core-utils</a></li>
            <li><a href="#id32">/androidx-recylerview</a></li>
            <li><a href="#id33">/androidx-cardview</a></li>
            <li><a href="#id34">/androidx-versionedparcelable</a></li>
            <li><a href="#id35">/collection</a></li>
            <li><a href="#id36">/customview</a></li>
            <li><a href="#id37">/drawerlayout</a></li>
            <li><a href="#id38">/fragment</a></li>
            <li><a href="#id39">/interpolator</a></li>
            <li><a href="#id40">/loader</a></li>
            <li><a href="#id41">/localbroadcastmanager</a></li>
            <li><a href="#id42">/viewpager</a></li>
            <li><a href="#id43">/lottie</a></li>
            <li><a href="#id44">/vectordrawable-animated</a></li>
            <li><a href="#id45">/androidx-work-runtime</a></li>
            <li><a href="#id46">/constraintlayout-solver</a></li>
            <li><a href="#id47">/constraintlayout</a></li>
        </ul>
    </div><!-- table of contents -->
    <table cellpadding="0" cellspacing="0" border="0">
        <tr id="id0">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;json-sanitizer 1.2.2</b>

    <b>Copyright notice:</b>
    Copyright (C) 2012 Google Inc.

    <b>License:&nbsp;</b>Apache License Version 2.0
                                        Apache License
                                    Version 2.0, January 2004
                                http://www.apache.org/licenses/

       TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

       1. Definitions.

          &quot;License&quot; shall mean the terms and conditions for use, reproduction,
          and distribution as defined by Sections 1 through 9 of this document.

          &quot;Licensor&quot; shall mean the copyright owner or entity authorized by
          the copyright owner that is granting the License.

          &quot;Legal Entity&quot; shall mean the union of the acting entity and all
          other entities that control, are controlled by, or are under common
          control with that entity. For the purposes of this definition,
          &quot;control&quot; means (i) the power, direct or indirect, to cause the
          direction or management of such entity, whether by contract or
          otherwise, or (ii) ownership of fifty percent (50%) or more of the
          outstanding shares, or (iii) beneficial ownership of such entity.

          &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity
          exercising permissions granted by this License.

          &quot;Source&quot; form shall mean the preferred form for making modifications,
          including but not limited to software source code, documentation
          source, and configuration files.

          &quot;Object&quot; form shall mean any form resulting from mechanical
          transformation or translation of a Source form, including but
          not limited to compiled object code, generated documentation,
          and conversions to other media types.

          &quot;Work&quot; shall mean the work of authorship, whether in Source or
          Object form, made available under the License, as indicated by a
          copyright notice that is included in or attached to the work
          (an example is provided in the Appendix below).

          &quot;Derivative Works&quot; shall mean any work, whether in Source or Object
          form, that is based on (or derived from) the Work and for which the
          editorial revisions, annotations, elaborations, or other modifications
          represent, as a whole, an original work of authorship. For the purposes
          of this License, Derivative Works shall not include works that remain
          separable from, or merely link (or bind by name) to the interfaces of,
          the Work and Derivative Works thereof.

          &quot;Contribution&quot; shall mean any work of authorship, including
          the original version of the Work and any modifications or additions
          to that Work or Derivative Works thereof, that is intentionally
          submitted to Licensor for inclusion in the Work by the copyright owner
          or by an individual or Legal Entity authorized to submit on behalf of
          the copyright owner. For the purposes of this definition, &quot;submitted&quot;
          means any form of electronic, verbal, or written communication sent
          to the Licensor or its representatives, including but not limited to
          communication on electronic mailing lists, source code control systems,
          and issue tracking systems that are managed by, or on behalf of, the
          Licensor for the purpose of discussing and improving the Work, but
          excluding communication that is conspicuously marked or otherwise
          designated in writing by the copyright owner as &quot;Not a Contribution.&quot;

          &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity
          on behalf of whom a Contribution has been received by Licensor and
          subsequently incorporated within the Work.

       2. Grant of Copyright License. Subject to the terms and conditions of
          this License, each Contributor hereby grants to You a perpetual,
          worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
          copyright license to reproduce, prepare Derivative Works of,
          publicly display, publicly perform, sublicense, and distribute the
          Work and such Derivative Works in Source or Object form.

       3. Grant of Patent License. Subject to the terms and conditions of
          this License, each Contributor hereby grants to You a perpetual,
          worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
          (except as stated in this section) patent license to make, have made,
          use, offer to sell, sell, import, and otherwise transfer the Work,
          where such license applies only to those patent claims licensable
          by such Contributor that are necessarily infringed by their
          Contribution(s) alone or by combination of their Contribution(s)
          with the Work to which such Contribution(s) was submitted. If You
          institute patent litigation against any entity (including a
          cross&ndash;claim or counterclaim in a lawsuit) alleging that the Work
          or a Contribution incorporated within the Work constitutes direct
          or contributory patent infringement, then any patent licenses
          granted to You under this License for that Work shall terminate
          as of the date such litigation is filed.

       4. Redistribution. You may reproduce and distribute copies of the
          Work or Derivative Works thereof in any medium, with or without
          modifications, and in Source or Object form, provided that You
          meet the following conditions:

          (a) You must give any other recipients of the Work or
              Derivative Works a copy of this License; and

          (b) You must cause any modified files to carry prominent notices
              stating that You changed the files; and

          (c) You must retain, in the Source form of any Derivative Works
              that You distribute, all copyright, patent, trademark, and
              attribution notices from the Source form of the Work,
              excluding those notices that do not pertain to any part of
              the Derivative Works; and

          (d) If the Work includes a &quot;NOTICE&quot; text file as part of its
              distribution, then any Derivative Works that You distribute must
              include a readable copy of the attribution notices contained
              within such NOTICE file, excluding those notices that do not
              pertain to any part of the Derivative Works, in at least one
              of the following places: within a NOTICE text file distributed
              as part of the Derivative Works; within the Source form or
              documentation, if provided along with the Derivative Works; or,
              within a display generated by the Derivative Works, if and
              wherever such third&ndash;party notices normally appear. The contents
              of the NOTICE file are for informational purposes only and
              do not modify the License. You may add Your own attribution
              notices within Derivative Works that You distribute, alongside
              or as an addendum to the NOTICE text from the Work, provided
              that such additional attribution notices cannot be construed
              as modifying the License.

          You may add Your own copyright statement to Your modifications and
          may provide additional or different license terms and conditions
          for use, reproduction, or distribution of Your modifications, or
          for any such Derivative Works as a whole, provided Your use,
          reproduction, and distribution of the Work otherwise complies with
          the conditions stated in this License.

       5. Submission of Contributions. Unless You explicitly state otherwise,
          any Contribution intentionally submitted for inclusion in the Work
          by You to the Licensor shall be under the terms and conditions of
          this License, without any additional terms or conditions.
          Notwithstanding the above, nothing herein shall supersede or modify
          the terms of any separate license agreement you may have executed
          with Licensor regarding such Contributions.

       6. Trademarks. This License does not grant permission to use the trade
          names, trademarks, service marks, or product names of the Licensor,
          except as required for reasonable and customary use in describing the
          origin of the Work and reproducing the content of the NOTICE file.

       7. Disclaimer of Warranty. Unless required by applicable law or
          agreed to in writing, Licensor provides the Work (and each
          Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS,
          WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
          implied, including, without limitation, any warranties or conditions
          of TITLE, NON&ndash;INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
          PARTICULAR PURPOSE. You are solely responsible for determining the
          appropriateness of using or redistributing the Work and assume any
          risks associated with Your exercise of permissions under this License.

       8. Limitation of Liability. In no event and under no legal theory,
          whether in tort (including negligence), contract, or otherwise,
          unless required by applicable law (such as deliberate and grossly
          negligent acts) or agreed to in writing, shall any Contributor be
          liable to You for damages, including any direct, indirect, special,
          incidental, or consequential damages of any character arising as a
          result of this License or out of the use or inability to use the
          Work (including but not limited to damages for loss of goodwill,
          work stoppage, computer failure or malfunction, or any and all
          other commercial damages or losses), even if such Contributor
          has been advised of the possibility of such damages.

       9. Accepting Warranty or Additional Liability. While redistributing
          the Work or Derivative Works thereof, You may choose to offer,
          and charge a fee for, acceptance of support, warranty, indemnity,
          or other liability obligations and/or rights consistent with this
          License. However, in accepting such obligations, You may act only
          on Your own behalf and on Your sole responsibility, not on behalf
          of any other Contributor, and only if You agree to indemnify,
          defend, and hold each Contributor harmless for any liability
          incurred by, or claims asserted against, such Contributor by reason
          of your accepting any such warranty or additional liability.

       END OF TERMS AND CONDITIONS

       APPENDIX: How to apply the Apache License to your work.

          To apply the Apache License to your work, attach the following
          boilerplate notice, with the fields enclosed by brackets &quot;[]&quot;
          replaced with your own identifying information. (Don&prime;t include
          the brackets!)  The text should be enclosed in the appropriate
          comment syntax for the file format. We also recommend that a
          file or class name and description of purpose be included on the
          same &quot;printed page&quot; as the copyright notice for easier
          identification within third&ndash;party archives.

       Copyright [yyyy] [name of copyright owner]

       Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
       you may not use this file except in compliance with the License.
       You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE&ndash;2.0

       Unless required by applicable law or agreed to in writing, software
       distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
       WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
       See the License for the specific language governing permissions and
       limitations under the License.
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id1">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-arch-core-common 2.1.0</b>

    <b>Copyright notice:</b>
    Copyright 2018 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id2">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-lifecycle-viewmodel-savedstate 2.2.0</b>

    <b>Copyright notice:</b>
    Copyright 2018 The Android Open Source Project
    Copyright 2019 The Android Open Source Project

    License: Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->
        <tr id="id3">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;savedstate 1.0.0</b>

    <b>Copyright notice:</b>
    Copyright 2018 The Android Open Source Project
    Copyright 2019 The Android Open Source Project

    License: Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id4">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;greenDao 3.3.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2011&ndash;2016 Markus Junginger, greenrobot (http://greenrobot.org)
    Copyright (C) 2011&ndash;2015 Markus Junginger, greenrobot (http://greenrobot.de)
    Copyright (C) 2011 Markus Junginger, greenrobot (http://greenrobot.de)
    Copyright 2011&ndash;2016 by Markus Junginger / greenrobot.org

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id5">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;okhttp 3.14.9</b>

    <b>Copyright notice:</b>
    Copyright (C) 2014 Square, Inc.
    Copyright (C) 2011 The Android Open Source Project
    Copyright (C) 2013 Square, Inc.
    Copyright (C) 2016 Square, Inc.
    Copyright (C) 2016 Google Inc.
    Copyright (C) 2017 Square, Inc.
    Copyright (C) 2015 Square, Inc.
    Copyright (C) 2010 The Android Open Source Project
    Copyright 2014 Square Inc.
    Copyright (C) 2018 Square, Inc.
    Copyright (C) 2012 Square, Inc.
    Copyright (C) 2011 The Guava Authors
    Copyright (C) 2009 The Android Open Source Project
    Copyright 2016 The Netty Project
    Copyright (C) 2019 Square, Inc.
    Copyright (C) 2012 The Android Open Source Project
    Copyright 2013 Twitter, Inc.
    Copyright (C) 2012 Google Inc.
    Copyright (C) 2011 Google Inc.
    Copyright (C) 2013 The Android Open Source Project
    Copyright 2012 Twitter, Inc
    Copyright 2012 Twitter, Inc.
    Copyright (c) 2013 Karl Swedberg

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id6">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-sqlite-framework 2.1.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2016 The Android Open Source Project
    Copyright (C) 2017 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->
        <tr id="id7">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-sqlite 2.1.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2016 The Android Open Source Project
    Copyright (C) 2017 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->

        <tr id="id8">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-activity 1.1.0</b>

    <b>Copyright notice:</b>
    Copyright 2019 The Android Open Source Project
    Copyright 2018 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id9">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;okio 1.17.4</b>

    <b>Copyright notice:</b>
    Copyright (C) 2018 Square, Inc.
    Copyright (C) 2018 Square, Inc. and others.
    Copyright (C) 2014 Square, Inc. and others.
    Copyright (C) 2016 Square, Inc. and others.
    Copyright (C) 2014 Square, Inc.
    Copyright 2014 Square Inc.
    Copyright (C) 2015 Square, Inc.
    Copyright (C) 2016 Square, Inc.
    Copyright (C) 2019 Square, Inc.
    Copyright (C) 2017 Square, Inc.
    Copyright 2013 Square, Inc.

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id10">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-vectordrawable 1.1.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2015 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id11">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;appcompat-resources 1.1.0</b>

    <b>Copyright notice:</b>
    Copyright 2016 The Android Open Source Project
    Copyright (C) 2014 The Android Open Source Project
    Copyright (C) 2015 The Android Open Source Project
    Copyright (C) 2018 The Android Open Source Project
    Copyright (C) 2019 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id12">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-dynamicanimation 1.0.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2017 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id13">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-print 1.0.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2017 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id14">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-arch-core-runtime 2.1.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2017 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id15">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-lifecycle-common 2.2.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2017 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->

        <tr id="id16">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-lifecycle-livedata-core 2.2.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2017 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id17">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-lifecycle-livedata 2.2.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2017 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->

        <tr id="id18">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-lifecycle-runtime 2.2.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2017 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id19">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-lifecycle-service 2.2.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2017 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id20">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;lifecycle-viewmodel 2.2.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2007 The Guava Authors

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->

        <tr id="id21">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;guava-listenablefuture 1.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2007 The Guava Authors

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id22">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-room-runtime 2.2.3</b>

    <b>Copyright notice:</b>
    Copyright (C) 2016 The Android Open Source Project
    Copyright (C) 2017 The Android Open Source Project
    Copyright (C) 2018 The Android Open Source Project
    Copyright 2018 The Android Open Source Project
    Copyright 2019 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id23">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-room-common 2.2.3</b>

    <b>Copyright notice:</b>
    Copyright (C) 2016 The Android Open Source Project
    Copyright (C) 2017 The Android Open Source Project
    Copyright 2018 The Android Open Source Project
    Copyright 2019 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id24">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;greendao-api 3.3.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2011&ndash;2016 Markus Junginger, greenrobot (http://greenrobot.org)
    Copyright (C) 2011&ndash;2015 Markus Junginger, greenrobot (http://greenrobot.de)
    Copyright (C) 2011 Markus Junginger, greenrobot (http://greenrobot.de)
    Copyright 2011&ndash;2016 by Markus Junginger / greenrobot.org

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id25">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;annotation 1.1.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2013 The Android Open Source Project
    Copyright (C) 2014 The Android Open Source Project
    Copyright (C) 2015 The Android Open Source Project
    Copyright (C) 2016 The Android Open Source Project
    Copyright (C) 2017 The Android Open Source Project
    Copyright 2018 The Android Open Source Project
    Copyright 2019 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id26">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;core 1.1.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2018 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id27">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-appcompat 1.1.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2006 The Android Open Source Project
    Copyright (C) 2010 The Android Open Source Project
    Copyright (C) 2011 The Android Open Source Project
    Copyright (C) 2012 The Android Open Source Project
    Copyright (C) 2013 The Android Open Source Project
    Copyright (C) 2014 The Android Open Source Project
    Copyright (C) 2015 The Android Open Source Project
    Copyright (C) 2016 The Android Open Source Project
    Copyright (C) 2017 The Android Open Source Project
    Copyright 2018 The Android Open Source Project
    Copyright 2017 The Android Open Source Project
    Copyright (C) 2015 Google Inc.

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id28">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;gson 2.9.0</b>

    <b>Copyright notice:</b>
    Copyright 2008 Google Inc.
    Copyright (c) 2012 Square, Inc.
    Copyright (c) 2012 Google Inc.
    Copyright (c) 2011 Google Inc.
    Copyright (c) 2016 Gson
    Copyright 2008-2011 Google Inc.
    Copyright (c) 2008 Google Inc.
    Copyright (c) 2009 Google Inc.
    Copyright (c) 2010 Google Inc.
    Copyright (c) 2021 Google Inc.
    Copyright (c) 2014 Google Inc.
    Copyright (c) 2017 The Gson authors
    Copyright (c) 2010 The Android Open Source Project
    Copyright (c) 2020 Google Inc.
    Copyright (c) 2018 The Gson authors
    Copyright (c) 2016 The Gson Authors
    Copyright (c) 2018 Gson
    Copyright (c) 2015 Google Inc.
    Copyright (c) 2016 Google Inc.
    Copyright (c) 2017 Google Inc.
    Copyright (c) 2017 Gson

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id29">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-cursoradapter 1.0.0</b>

    <b>Copyright notice:</b>
    Copyright 2018 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->

        <tr id="id30">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-documentfile 1.0.1</b>

    <b>Copyright notice:</b>
    Copyright 2018 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->

        <tr id="id31">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-legacy-support-core-utils 1.0.0</b>

    <b>Copyright notice:</b>
    Copyright 2018 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->

        <tr id="id32">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-recyclerview 1.1.0</b>

    <b>Copyright notice:</b>
    Copyright 2018 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->

        <tr id="id33">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-cardview 1.0.0</b>

    <b>Copyright notice:</b>
    Copyright 2018 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->

        <tr id="id34">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-versionedparcelable 1.1.0</b>

    <b>Copyright notice:</b>
    Copyright 2018 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->

        <tr id="id35">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;collection 1.1.0</b>

    <b>Copyright notice:</b>
    Copyright 2018 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->

        <tr id="id36">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;customview 1.0.0</b>

    <b>Copyright notice:</b>
    Copyright 2018 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->

        <tr id="id37">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;drawerlayout 1.0.0</b>

    <b>Copyright notice:</b>
    Copyright 2018 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->

        <tr id="id38">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;fragment 1.2.0</b>

    <b>Copyright notice:</b>
    Copyright 2018 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->

        <tr id="id39">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;interpolator 1.0.0</b>

    <b>Copyright notice:</b>
    Copyright 2018 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->

        <tr id="id40">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;loader 1.1.0</b>

    <b>Copyright notice:</b>
    Copyright 2018 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->

        <tr id="id41">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;localbroadcastmanager 1.0.0</b>

    <b>Copyright notice:</b>
    Copyright 2018 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->

        <tr id="id42">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;viewpager 1.0.0</b>

    <b>Copyright notice:</b>
    Copyright 2018 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id43">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;lottie 3.4.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2015 Square, Inc.
    Copyright (C) 2016 Square, Inc.
    Copyright (C) 2010 Google Inc.
    Copyright (C) 2010 The Android Open Source Project
    Copyright (C) 2012 Google Inc.
    Copyright 2018 Airbnb, Inc.

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id44">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;vectordrawable-animated 1.1.0</b>

    <b>Copyright notice:</b>
    Copyright (C) 2015 The Android Open Source Project
    Copyright (C) 2017 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id45">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;androidx-work-runtime 2.3.0</b>

    <b>Copyright notice:</b>
    Copyright 2017 The Android Open Source Project
    Copyright 2018 The Android Open Source Project
    Copyright 2019 The Android Open Source Project
    Copyright (C) 2017 The Android Open Source Project

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id46">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;constraintlayout-solver 1.1.3</b>

    <b>Copyright notice:</b>

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->


        <tr id="id47">
            <td class="same-license"><pre class="license-text second-text"><b>Software:&nbsp;constraintlayout 1.1.3</b>

    <b>Copyright notice:</b>

    <b>License:&nbsp;</b>Apache License Version 2.0
    Please see above
    </pre><!-- license-text -->
            </td>
        </tr><!-- same-license -->

    </table>
</div>
</body>
</html>
